## monav 0.3.release-2%2bhg5585bb4a8d77

=== preprocessor/Makefile ===
#############################################################################
# Makefile for building: ../bin/monav-preprocessor
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Sep 30 15:05:21 2011
# Project:  preprocessor.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile preprocessor.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -D_7ZIP_ST -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -O3 -Wno-unused-function -fopenmp -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include -I.. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L../bin/plugins_preprocessor -lmapnikrenderer -lcontractionhierarchies -lgpsgrid -losmrenderer -lqtilerenderer -lunicodetournamenttrie -losmimporter -ltestimporter -fopenmp -lmapnik -lbz2 -lz -lxml2 -lQtCore -L/usr/lib -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../utils/commandlineparser.cpp \
		pluginmanager.cpp \
		../utils/log.cpp \
		console-main.cpp \
		../utils/directorypacker.cpp \
		../utils/lzma/LzmaEnc.c \
		../utils/lzma/LzFind.c moc_pluginmanager.cpp \
		moc_log.cpp
OBJECTS       = commandlineparser.o \
		pluginmanager.o \
		log.o \
		console-main.o \
		directorypacker.o \
		LzmaEnc.o \
		LzFind.o \
		moc_pluginmanager.o \
		moc_log.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		preprocessor.pro
QMAKE_TARGET  = monav-preprocessor
DESTDIR       = ../bin/
TARGET        = ../bin/monav-preprocessor

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: preprocessor.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile preprocessor.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile preprocessor.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/monav-preprocessor1.0.0 || $(MKDIR) .tmp/monav-preprocessor1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/monav-preprocessor1.0.0/ && $(COPY_FILE) --parents ../interfaces/iimporter.h ../utils/coordinates.h ../utils/config.h ../interfaces/ipreprocessor.h ../interfaces/iguisettings.h ../interfaces/iconsolesettings.h ../utils/commandlineparser.h ../utils/formattedoutput.h pluginmanager.h ../utils/log.h ../utils/directorypacker.h ../utils/lzma/Types.h ../utils/lzma/LzmaEnc.h ../utils/lzma/LzFind.h ../utils/lzma/LzHash.h ../encoding/Encoder.h .tmp/monav-preprocessor1.0.0/ && $(COPY_FILE) --parents ../utils/commandlineparser.cpp pluginmanager.cpp ../utils/log.cpp console-main.cpp ../utils/directorypacker.cpp ../utils/lzma/LzmaEnc.c ../utils/lzma/LzFind.c .tmp/monav-preprocessor1.0.0/ && (cd `dirname .tmp/monav-preprocessor1.0.0` && $(TAR) monav-preprocessor1.0.0.tar monav-preprocessor1.0.0 && $(COMPRESS) monav-preprocessor1.0.0.tar) && $(MOVE) `dirname .tmp/monav-preprocessor1.0.0`/monav-preprocessor1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/monav-preprocessor1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_pluginmanager.cpp moc_log.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_pluginmanager.cpp moc_log.cpp
moc_pluginmanager.cpp: pluginmanager.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pluginmanager.h -o moc_pluginmanager.cpp

moc_log.cpp: ../utils/log.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../utils/log.h -o moc_log.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

commandlineparser.o: ../utils/commandlineparser.cpp ../utils/commandlineparser.h \
		../utils/formattedoutput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o commandlineparser.o ../utils/commandlineparser.cpp

pluginmanager.o: pluginmanager.cpp pluginmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginmanager.o pluginmanager.cpp

log.o: ../utils/log.cpp ../utils/log.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o log.o ../utils/log.cpp

console-main.o: console-main.cpp pluginmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o console-main.o console-main.cpp

directorypacker.o: ../utils/directorypacker.cpp ../utils/directorypacker.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o directorypacker.o ../utils/directorypacker.cpp

LzmaEnc.o: ../utils/lzma/LzmaEnc.c ../utils/lzma/LzmaEnc.h \
		../utils/lzma/Types.h \
		../utils/lzma/LzFind.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o LzmaEnc.o ../utils/lzma/LzmaEnc.c

LzFind.o: ../utils/lzma/LzFind.c ../utils/lzma/LzFind.h \
		../utils/lzma/Types.h \
		../utils/lzma/LzHash.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o LzFind.o ../utils/lzma/LzFind.c

moc_pluginmanager.o: moc_pluginmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pluginmanager.o moc_pluginmanager.cpp

moc_log.o: moc_log.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_log.o moc_log.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== routingdaemon/Makefile ===
#############################################################################
# Makefile for building: ../bin/monav-daemon
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Sep 30 18:56:46 2011
# Project:  routingdaemon.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -o Makefile routingdaemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -D_7ZIP_ST -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -pthread -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -O3 -Wno-unused-function -pthread -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I.. -Iqtservice-2.6_1-opensource/src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L../bin/plugins_client -lcontractionhierarchiesclient -lgpsgridclient -pthread -lprotobuf -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = routingdaemon.cpp \
		../utils/lzma/LzmaDec.c \
		../utils/directoryunpacker.cpp \
		qtservice-2.6_1-opensource/src/qtservice.cpp \
		qtservice-2.6_1-opensource/src/qtservice_unix.cpp \
		qtservice-2.6_1-opensource/src/qtunixsocket.cpp \
		qtservice-2.6_1-opensource/src/qtunixserversocket.cpp signals.pb.cc \
		moc_routingdaemon.cpp \
		moc_qtunixsocket.cpp \
		moc_qtunixserversocket.cpp
OBJECTS       = routingdaemon.o \
		LzmaDec.o \
		directoryunpacker.o \
		qtservice.o \
		qtservice_unix.o \
		qtunixsocket.o \
		qtunixserversocket.o \
		signals.pb.o \
		moc_routingdaemon.o \
		moc_qtunixsocket.o \
		moc_qtunixserversocket.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../utils/osm/protobuf.pri \
		../utils/osm/protobuf_python.pri \
		qtservice-2.6_1-opensource/common.pri \
		qtservice-2.6_1-opensource/src/qtservice.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		routingdaemon.pro
QMAKE_TARGET  = monav-daemon
DESTDIR       = ../bin/
TARGET        = ../bin/monav-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): signals.pb.h signals.pb.cc signals_pb2.py $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: routingdaemon.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../utils/osm/protobuf.pri \
		../utils/osm/protobuf_python.pri \
		qtservice-2.6_1-opensource/common.pri \
		qtservice-2.6_1-opensource/src/qtservice.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile routingdaemon.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../utils/osm/protobuf.pri:
../utils/osm/protobuf_python.pri:
qtservice-2.6_1-opensource/common.pri:
qtservice-2.6_1-opensource/src/qtservice.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile routingdaemon.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/monav-daemon1.0.0 || $(MKDIR) .tmp/monav-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents signals.proto .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents signals.proto .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents signals.proto .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents signals.h routingcommon.h routingdaemon.h ../utils/lzma/LzmaDec.h ../utils/directoryunpacker.h qtservice-2.6_1-opensource/src/qtservice.h qtservice-2.6_1-opensource/src/qtservice_p.h qtservice-2.6_1-opensource/src/qtunixsocket.h qtservice-2.6_1-opensource/src/qtunixserversocket.h .tmp/monav-daemon1.0.0/ && $(COPY_FILE) --parents routingdaemon.cpp ../utils/lzma/LzmaDec.c ../utils/directoryunpacker.cpp qtservice-2.6_1-opensource/src/qtservice.cpp qtservice-2.6_1-opensource/src/qtservice_unix.cpp qtservice-2.6_1-opensource/src/qtunixsocket.cpp qtservice-2.6_1-opensource/src/qtunixserversocket.cpp .tmp/monav-daemon1.0.0/ && (cd `dirname .tmp/monav-daemon1.0.0` && $(TAR) monav-daemon1.0.0.tar monav-daemon1.0.0 && $(COMPRESS) monav-daemon1.0.0.tar) && $(MOVE) `dirname .tmp/monav-daemon1.0.0`/monav-daemon1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/monav-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_protobuf_decl_make_all: signals.pb.h
compiler_protobuf_decl_clean:
	-$(DEL_FILE) signals.pb.h
signals.pb.h: signals.proto
	protoc -I=. --cpp_out=. signals.proto

compiler_protobuf_impl_make_all: signals.pb.cc
compiler_protobuf_impl_clean:
	-$(DEL_FILE) signals.pb.cc
signals.pb.cc: signals.proto \
		signals.pb.h
	


compiler_protobuf_python_make_all: signals_pb2.py
compiler_protobuf_python_clean:
	-$(DEL_FILE) signals_pb2.py
signals_pb2.py: signals.proto
	protoc -I=. --python_out=. signals.proto

compiler_moc_header_make_all: moc_routingdaemon.cpp moc_qtunixsocket.cpp moc_qtunixserversocket.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_routingdaemon.cpp moc_qtunixsocket.cpp moc_qtunixserversocket.cpp
moc_routingdaemon.cpp: routingcommon.h \
		signals.h \
		signals.pb.h \
		qtservice-2.6_1-opensource/src/qtservice.h \
		routingdaemon.h
	/usr/bin/moc $(DEFINES) $(INCPATH) routingdaemon.h -o moc_routingdaemon.cpp

moc_qtunixsocket.cpp: qtservice-2.6_1-opensource/src/qtunixsocket.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtservice-2.6_1-opensource/src/qtunixsocket.h -o moc_qtunixsocket.cpp

moc_qtunixserversocket.cpp: qtservice-2.6_1-opensource/src/qtunixserversocket.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtservice-2.6_1-opensource/src/qtunixserversocket.h -o moc_qtunixserversocket.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: qtservice.moc qtservice_unix.moc
compiler_moc_source_clean:
	-$(DEL_FILE) qtservice.moc qtservice_unix.moc
qtservice.moc: qtservice-2.6_1-opensource/src/qtservice.h \
		qtservice-2.6_1-opensource/src/qtservice_p.h \
		qtservice-2.6_1-opensource/src/qtservice.cpp

=== debian/changelog ===
monav (0.3.release-2+hg5585bb4a8d77) unstable; urgency=low

  * changed version so it trumps 0.3.release-1 

 -- Sander van Grieken <sander@outrightsolutions.nl>  Wed, 30 Sep 2011 12:30:18 +0200

monav (0.3.1-4+hg5585bb4a8d77) unstable; urgency=low

  * update to head 5585bb4a8d77, includes rendering of streetnames on the
    tiles. Requires new binary map format though

 -- Sander van Grieken <sander@outrightsolutions.nl>  Wed, 30 Sep 2011 12:30:18 +0200

monav (0.3.1-3+hg4f0f7f48e173) unstable; urgency=low

  * patched in autorotate support from http://code.google.com/p/monav/issues/detail?id=47

 -- Sander van Grieken <sander@outrightsolutions.nl>  Wed, 20 Jul 2011 16:23:10 +0200

monav (0.3.1-2+hg4f0f7f48e173) unstable; urgency=low

  * snapshot release of default branch, solves UTF8 reading of places.pqdb

 -- Sander van Grieken <sander@outrightsolutions.nl>  Wed, 13 Jul 2011 15:29:17 +0200

monav (0.3.1-1) unstable; urgency=low

  * Initial release

 -- Sander van Grieken <sander@outrightsolutions.nl>  Sat,  9 Jul 2011 16:38:23 +0200

=== debian/control ===
Source: monav
Section: user/navigation
Priority: extra
Maintainer: Sander van Grieken <sander@outrightsolutions.nl>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.7), libqtm-dev, mce-dev, libx11-dev, protobuf-compiler (>= 2.4), libprotobuf-dev (>= 2.4)
Standards-Version: 3.7.2

Package: monav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: exact routing with OpenStreetMap Data
 MoNav is a Desktop / Mobile application that offers state-of-the-art fast and exact routing with OpenStreetMap 
 Data
XSBC-Bugtracker: mailto:sander@outrightsolutions.nl
XSBC-Maemo-Display-Name: MoNav client
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA9vSURBVGiB1ZpprF1Xdcd/a+99zp3f8/M8
 JMZ2bCeOMxknBCeQkBQIZEbIZSxTSygEVUIqUyGYEFQo0EpVq4IageiHClAY
 UxogpDihBLdgwpDITWITDB7zPMTxvffd4Zy9Vz/sOz6/EIdP7ZKOztlnuv//
 2v+99lr7XFFV+jY5OXlNsVh8uRVZbZ1NCmkakiTxxrms2+3k3odcNARV9SI2
 R8R7n3lE8hDwPs9zJQ9Wklys5N7nWcg1t4n11lof8hBUNHdiM+dcrkYzY0xm
 jMlUNVM1mYMOjq5Tm5HQFdEuHbqtELpAp1AotBYtWtTevn17DiCqylVXXeX2
 /27vP689a81bnTX4PMNag3MWAXwIqCreB7wPBB9CUNWgwYcQfIhHXlEfArlq
 8EHVi5Khmnm0i9IF7SjSFtW2irQ06IwRaQVoGqGp0BRogDZFbEOEpsc3Jddm
 V8OMqptJkqyV52krTdPGzp07Mwdw9OjRWy+79JK3Th89Gh7f80SYabUIISAA
 goIgoCL0+kuCgKoSQFWFoBoMlhQjRbUqatRisRhVIFehi9IGbUrbHjZtmQHU
 CEHEBMCLiA9xn0sgDxIyETIRcmMkEynkxph83rxqSNPUiYiXzZs3J2csXfiQ
 wHnf/t5/5N57MdaKACJAEDAMdCaIRlIEBINBxIjFRJZiANt72AIGcCN7BySA
 oSO57DNNecw+ZR8zSENF68aYBmjdqGlgtaFqm4lqU5NkJoTQKhaL7cnJTrfT
 mcw2bdqUW2vtWevOWv2Bh371SHL8qROkaSrGGDHGiAQjUhQRLyIiYqyIGEHE
 iBhxYsSKEROvCiICAghYK6QOXBJJBVHUgvRIqMNpWeeHBWG9XxxWauCgacrB
 EEJTPE0PLe+1KSIzWQgtoF0odDutVsiMqWVTU1PhvvvuC65YLK5oNhqVE0+f
 zJ218ecz0IBISUn+Nie/0xB+ZgGUIgZUiK2BOQNpAkkCqVPEKUGEchFqFSiX
 FJtAW5RjGRzOhI4oGEVLrPDn+ndkuTxkdpsvuEPusMmyRjBmBmjled4OIXQg
 7ZbL5Wzv3r1+7969HlAH+WS726XT6aqICB5YrJJuy0luDshSSP8kkP/A0/2g
 k7BLII3gRcBZSB1YC86BGKWeQasriAPNFW0r5RK8cDUsn4DzK0q5okxn8KMn
 lUMdIAWt6vP9Fr8+7A8fSX+Sbs/zvGmMaVlrO2mj0TkO2fHjx3PAA6qqaufV
 JjdXa9VX799/MARVIRcpfD6XwpsD2fcFPSqE3UJynWKvDWRfNEhXcC4CT0bA
 B1Ge6kImIC6OAbWKJkpm4HgO5yyHyQmo1ZSVi+Dqc+B5i5V9bWgIkJKGJeFl
 +br8RLIr2eGcazcajW4LMiAHQh88gF2waNELSqXijQcPHvIaxEgRST/phQLM
 bEqwm5TuX7kYfp4Wwg5D0hBsEoH3wVurnMzAmwhejUICmsQ9KXQMHPPK5lUw
 MTHcNqyAmy+E6Ux5ogmkCFVe7C/28zsPdL7dAz7m+b507cKF87ekSeG6w08+
 6UVENMO4a73Y9cAKMOuU8N9C9i8W/abBtQQzAj5JIvgMaIYeeBtB1ypKqQxt
 iZFHU6UOLJ4fQddqSq0GtRrMm4DrN8bxsuNwb6CnehGXcYIH+fFc4AHs1NS8
 F7kkvWZ6+kguIkY84n8pYq9QkmsUuwbc6wNuS8D8RjCHBJtGrycJIMqMwsl8
 BLyDBRPK5WfB2cvg6QAn0Th2CvDoSaVphI0rYMl8qFSUSgUqFXjRGrjwDPjW
 HkVj6L2al7CDB/j1bPAAJgQK3odhTHEQfmHCzKaEmVc68p2C/kZw1ynJd3LM
 BQGnYB20g3KsC00/Dl4TZd2SCKhWhUvXDMFrqmgB7j+ovOs++MrjUKnGe0sl
 KBbh5nOVj/1Rb+4wWAxf5g7WzAbfIxBS1aCAokBR1V4ZxGwOZPcawiOCv96R
 f9QgNTAvV6yDZq40cmJsT8bB1yqwchFUq1CtKhtWRNloQaHAYExkDu58RHnv
 9hgPCwUlSZQkgfe/GF5z/gDnPDyfmZOAtTYJIQRAJRcv85HSDzIpfS3HnKmI
 gimCFHoPdOHprtIOsbfEiqpVHR2w65dFXVerOhioV5/d64VhT3h1mpHAvb+D
 rd9QcoG0J09j4As3wZr5A6w3yx1y+SkEMCZV1QAEEtB9It1PW8wyqDyaYW8I
 mO0Z9oMBfRza/2bIe0kSQXKd0SMIoqJgIUnhvBURfK0Wwddqyks3QLkaCWiq
 kGDFy1ewHFOr/HwabrkHjI3gjYFyAh+/egRt4NOnEHCRQC4iikFIkO5tltYb
 HXqXQQDzsCDbLOGmhPYBkIVgVqo3U/pbWavzWK7IMpDFsOZ5MH9eBD85OSSy
 aAqu2dCTURJlpBW9Qg/oK7AcxcK3HodPPBjB9+2158FFSwfNLXK7vHyUgDPO
 icZRHDDERwXM1w3mboPekZPeabHH4GQ76t3d4Enf6QVYRcAO3iZgfmiYPCxU
 akPw1WqU1Os2K9/YF/VOAmp1JUtZRZetlPkeQvqJH8HbNsEZE4NXcsdVcMOX
 Br+yFbh30APqvQBejAQMsQAwkJbBlaD4d46kDjMGKAoUlPyr9nD7JclDzVe7
 k403ORpvszTf4Zh8v+W6A0K1FmUzMdEnoVQqysYVcNmaAfiYrVa4hc/wnyif
 QqCdw+0PjMvkFWthqjho3ii3y6CPjPc+qGquRo1YEaQX411vr0riYCb0Io0h
 Z5on/AlmNDBFBnghBOWK1bB8CqojE1S/ByoVKJfh7ZeOgI+p90v5KGdR5VPA
 NMAXfwFPtUdlAteuGzQXA5cNeyAOYI/FqSgIFJJhepAWIDNC6IVJ6cpBoM5i
 VlAEilHX8ybh+augUhtGnmpVqVYj8HI5xvjrNygrp+jHeIjD7F36Pq0DnwPI
 A3z78fFeuPHsseYrBwSstUFVc3FiMKBGKfTSg0IBCgVhRnVQjGhL92Pp6JSu
 7E9MFODydTA5ob2oE2fXUc+XSpCmSrEA77i0B14GgN4in5EKhq/3T3zjf8YJ
 bDlzrLlqtAc84DEYMYJYoViAQgGKRaFQUNpKX7ddacthXahLKJJoEsG7Erzs
 3FHJzA2+H+P/9PlQdGOAJpnhjXqb/rIvo50Hxwksq4IZEl4xSiBX1QwTY5BL
 hEKhvynFImQG1CkYmkBDl+javudJ4QWrlWXzdU7wxeIQfNJLAhdX4TXnjQNE
 ubV39FuAw42xeglnYHFl0Fw+ICAiOdDFYbGxBIzej5srQEjiLCoi9bAg1LSi
 C/rgKcANF/S9P0zKZoPvz67GxELo3S9gtp0vd8iVwH6ALMCR5vgNy2vP3ANd
 XIwO0stJikUolZRSaTjxhCTkLGcDhQicAqxdply0Mnq+D75UOlU21g7BA1y8
 HC5dMQ6QMOiF0zajqhnQQciwkEmgWFSKxUC5DFMTYAq9GbRCVRfo+n5Oo6ly
 8wWnhspSiUFS1ve8yBB83249tRdeBTHrTAwsqoxfPFgfHB4YEAAyEWmLkTYO
 cgPFEgNvVqtQrvQSsSrzSDH96DM5AdduhHJZx9LhNB2Cn+35UfvjjbCoPHbK
 IawFWFodDVIxtE4PJTUY4kZVsxBCG2iRxGneFobgazVYvpAomSLpaOi86QKY
 mhgHP+p5a+f2fN8KFt6+edZJpQJRYqN2qAFhOKrHeqCjqi2ggQNSmGGYy1er
 yoUrGStISKOsXr9ZB5KZPWCfDXzf/vxisHPc86oN4+0d+8aae0cJdFV1xrTM
 b/v5/HQ2jOmTk3DJah0DTwpXrVfOWjyMNqej+bnszAm46ZzxcwJcv3783N2P
 jTW/MyBgjOmIyAxN9mFpa6rsayuV6nBSatsR8D0ib744en60ipodKk/Xbr1k
 vK3A3hPDdh7gnt2D5jTw4wEBEWmralNUGpLJr/vLHwc72ssohfsPMfC8Jsra
 JXD1+gg+TcerqOcCvG9Xr4ZzF42f+8efDI+/u2csubtbt2kYEPDet0WkKSIN
 qcuv+gP0+wegNgEUlB8e6hXjPYm97ZIh+P7s+od4ftRm98KXHobjrdgbt20f
 u3TXaMOISEtVG8aYupt2DwuyVwtRRr98Cn54CDpmOJlVy/CGTePg+wRGbdcR
 eO1X47bryLMTeNOFMFEYtls5fP7n8OVH4BeHB6d36Da9d/Q5572fUdWGqgZV
 9faA/XI4P3wAB//6GNDXfq+Ket1FylRl3POjXt91BD72ANy1axj27toVY/5t
 V5wqlb5VU3jzhfAPI9L5p5+OJXBgeO/s5+zU1NQCVV3Y7XY7QDscC/v9Gn8m
 Vc6oq1LvZaIkgFXuvBmWTozLpg/8L74L774HHpkeT8SUeO5zO+HRo5HE7FkW
 YPVUBN23E+0x7X9TP6KnFvUi0jbG1FW1rqp1EanbPfbv1Wl9ALyXJ118Jmxc
 Oh5tdh2B130Nzv9s7O6gs39iaEHjPed/Nj4zW1rnLDwl7x9wwfKXc10wqtoR
 kYa1tmGMqVtr626P222mzXtwhD54LHQU6Enm0WOnD/x0iXiNNfHs24HX6If1
 13O9S1atWrVURNafOHEieO9z7307y7K2MabVvaX74VAOfzaoX02c4ueX4b4n
 nhl0f2b1Ond7thmBK54Xwf/X/lMuf0i36V/P/STIxo0b57fb7dUnTx7zeS4+
 z/NOnudta2270Wh0+BA/xbCOfpT5PWFySQXe/6KYHhTdMJ9fVIngPrcT/uZH
 8GTzmd8xyx7XbXr277vB5XmeGWNmVJ0PIcuTJOmqaqfRaHSBjCNcxjJ2A/Oe
 CfySCrzvcnjnJVAaKRVHKihKDt7zwkjusz+FTz34rETawBuejaEtlUq2VJI0
 z8mAbrfb7aZp2m21WvGLyM9ocQX3Y7iQkVIOYpn3lovg318PL1kVc/hns8TE
 gXrL5pgePzw9pxS/B1yp23T3qW8YN9m4cWNqbXve9HRTnZvxMzMuP378eP9z
 zthHBbldLgLuBC4efclUMa7b3Hh2BLesGsmNWh5iSrxjX0zM7tk9vvbTs58B
 H9dt+s1nd0WPwNat2CeeWFN9+mmj9Xrdl0ql/hfAAIS5PirIHXJ5b6F1y1wv
 NRLl069hD9ajt39PpNqB4b16mz54usAHWADZsmVLcd++fRSLxbBnz5640DXH
 55xTHo4LrVuBG4krZs/FpoG7gbtmpwfPxQb/lajX61Kr1fT+++8f+wp4Wi+J
 a5WXEVfMVhHHygqGqwcHiGXgAWIx8h3gx6NZ5R9sfXlv3bq1H+1FVfn/sknf
 0SIxJXsunv+/YP8LpGqt9wenYMMAAAAASUVORK5CYII=

Package: monav-routing-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Routing server for other applications
 The MoNav Routing Daemon (MoNavD) is a service that computes routes on
 OpenStreetMap data. It provides exact routing without heuristic assumptions
 and with very little computational work.
 .
 monav-daemon is a command line application (daemon) that allows other
 applications to compute routes. This application can only be executed from the
 command line and does not provide any GUI.
XSBC-Bugtracker: mailto:sander@outrightsolutions.nl
XSBC-Maemo-Display-Name: MoNav routing daemon
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA9vSURBVGiB1ZpprF1Xdcd/a+99zp3f8/M8
 JMZ2bCeOMxknBCeQkBQIZEbIZSxTSygEVUIqUyGYEFQo0EpVq4IageiHClAY
 UxogpDihBLdgwpDITWITDB7zPMTxvffd4Zy9Vz/sOz6/EIdP7ZKOztlnuv//
 2v+99lr7XFFV+jY5OXlNsVh8uRVZbZ1NCmkakiTxxrms2+3k3odcNARV9SI2
 R8R7n3lE8hDwPs9zJQ9Wklys5N7nWcg1t4n11lof8hBUNHdiM+dcrkYzY0xm
 jMlUNVM1mYMOjq5Tm5HQFdEuHbqtELpAp1AotBYtWtTevn17DiCqylVXXeX2
 /27vP689a81bnTX4PMNag3MWAXwIqCreB7wPBB9CUNWgwYcQfIhHXlEfArlq
 8EHVi5Khmnm0i9IF7SjSFtW2irQ06IwRaQVoGqGp0BRogDZFbEOEpsc3Jddm
 V8OMqptJkqyV52krTdPGzp07Mwdw9OjRWy+79JK3Th89Gh7f80SYabUIISAA
 goIgoCL0+kuCgKoSQFWFoBoMlhQjRbUqatRisRhVIFehi9IGbUrbHjZtmQHU
 CEHEBMCLiA9xn0sgDxIyETIRcmMkEynkxph83rxqSNPUiYiXzZs3J2csXfiQ
 wHnf/t5/5N57MdaKACJAEDAMdCaIRlIEBINBxIjFRJZiANt72AIGcCN7BySA
 oSO57DNNecw+ZR8zSENF68aYBmjdqGlgtaFqm4lqU5NkJoTQKhaL7cnJTrfT
 mcw2bdqUW2vtWevOWv2Bh371SHL8qROkaSrGGDHGiAQjUhQRLyIiYqyIGEHE
 iBhxYsSKEROvCiICAghYK6QOXBJJBVHUgvRIqMNpWeeHBWG9XxxWauCgacrB
 EEJTPE0PLe+1KSIzWQgtoF0odDutVsiMqWVTU1PhvvvuC65YLK5oNhqVE0+f
 zJ218ecz0IBISUn+Nie/0xB+ZgGUIgZUiK2BOQNpAkkCqVPEKUGEchFqFSiX
 FJtAW5RjGRzOhI4oGEVLrPDn+ndkuTxkdpsvuEPusMmyRjBmBmjled4OIXQg
 7ZbL5Wzv3r1+7969HlAH+WS726XT6aqICB5YrJJuy0luDshSSP8kkP/A0/2g
 k7BLII3gRcBZSB1YC86BGKWeQasriAPNFW0r5RK8cDUsn4DzK0q5okxn8KMn
 lUMdIAWt6vP9Fr8+7A8fSX+Sbs/zvGmMaVlrO2mj0TkO2fHjx3PAA6qqaufV
 JjdXa9VX799/MARVIRcpfD6XwpsD2fcFPSqE3UJynWKvDWRfNEhXcC4CT0bA
 B1Ge6kImIC6OAbWKJkpm4HgO5yyHyQmo1ZSVi+Dqc+B5i5V9bWgIkJKGJeFl
 +br8RLIr2eGcazcajW4LMiAHQh88gF2waNELSqXijQcPHvIaxEgRST/phQLM
 bEqwm5TuX7kYfp4Wwg5D0hBsEoH3wVurnMzAmwhejUICmsQ9KXQMHPPK5lUw
 MTHcNqyAmy+E6Ux5ogmkCFVe7C/28zsPdL7dAz7m+b507cKF87ekSeG6w08+
 6UVENMO4a73Y9cAKMOuU8N9C9i8W/abBtQQzAj5JIvgMaIYeeBtB1ypKqQxt
 iZFHU6UOLJ4fQddqSq0GtRrMm4DrN8bxsuNwb6CnehGXcYIH+fFc4AHs1NS8
 F7kkvWZ6+kguIkY84n8pYq9QkmsUuwbc6wNuS8D8RjCHBJtGrycJIMqMwsl8
 BLyDBRPK5WfB2cvg6QAn0Th2CvDoSaVphI0rYMl8qFSUSgUqFXjRGrjwDPjW
 HkVj6L2al7CDB/j1bPAAJgQK3odhTHEQfmHCzKaEmVc68p2C/kZw1ynJd3LM
 BQGnYB20g3KsC00/Dl4TZd2SCKhWhUvXDMFrqmgB7j+ovOs++MrjUKnGe0sl
 KBbh5nOVj/1Rb+4wWAxf5g7WzAbfIxBS1aCAokBR1V4ZxGwOZPcawiOCv96R
 f9QgNTAvV6yDZq40cmJsT8bB1yqwchFUq1CtKhtWRNloQaHAYExkDu58RHnv
 9hgPCwUlSZQkgfe/GF5z/gDnPDyfmZOAtTYJIQRAJRcv85HSDzIpfS3HnKmI
 gimCFHoPdOHprtIOsbfEiqpVHR2w65dFXVerOhioV5/d64VhT3h1mpHAvb+D
 rd9QcoG0J09j4As3wZr5A6w3yx1y+SkEMCZV1QAEEtB9It1PW8wyqDyaYW8I
 mO0Z9oMBfRza/2bIe0kSQXKd0SMIoqJgIUnhvBURfK0Wwddqyks3QLkaCWiq
 kGDFy1ewHFOr/HwabrkHjI3gjYFyAh+/egRt4NOnEHCRQC4iikFIkO5tltYb
 HXqXQQDzsCDbLOGmhPYBkIVgVqo3U/pbWavzWK7IMpDFsOZ5MH9eBD85OSSy
 aAqu2dCTURJlpBW9Qg/oK7AcxcK3HodPPBjB9+2158FFSwfNLXK7vHyUgDPO
 icZRHDDERwXM1w3mboPekZPeabHH4GQ76t3d4Enf6QVYRcAO3iZgfmiYPCxU
 akPw1WqU1Os2K9/YF/VOAmp1JUtZRZetlPkeQvqJH8HbNsEZE4NXcsdVcMOX
 Br+yFbh30APqvQBejAQMsQAwkJbBlaD4d46kDjMGKAoUlPyr9nD7JclDzVe7
 k403ORpvszTf4Zh8v+W6A0K1FmUzMdEnoVQqysYVcNmaAfiYrVa4hc/wnyif
 QqCdw+0PjMvkFWthqjho3ii3y6CPjPc+qGquRo1YEaQX411vr0riYCb0Io0h
 Z5on/AlmNDBFBnghBOWK1bB8CqojE1S/ByoVKJfh7ZeOgI+p90v5KGdR5VPA
 NMAXfwFPtUdlAteuGzQXA5cNeyAOYI/FqSgIFJJhepAWIDNC6IVJ6cpBoM5i
 VlAEilHX8ybh+augUhtGnmpVqVYj8HI5xvjrNygrp+jHeIjD7F36Pq0DnwPI
 A3z78fFeuPHsseYrBwSstUFVc3FiMKBGKfTSg0IBCgVhRnVQjGhL92Pp6JSu
 7E9MFODydTA5ob2oE2fXUc+XSpCmSrEA77i0B14GgN4in5EKhq/3T3zjf8YJ
 bDlzrLlqtAc84DEYMYJYoViAQgGKRaFQUNpKX7ddacthXahLKJJoEsG7Erzs
 3FHJzA2+H+P/9PlQdGOAJpnhjXqb/rIvo50Hxwksq4IZEl4xSiBX1QwTY5BL
 hEKhvynFImQG1CkYmkBDl+javudJ4QWrlWXzdU7wxeIQfNJLAhdX4TXnjQNE
 ubV39FuAw42xeglnYHFl0Fw+ICAiOdDFYbGxBIzej5srQEjiLCoi9bAg1LSi
 C/rgKcANF/S9P0zKZoPvz67GxELo3S9gtp0vd8iVwH6ALMCR5vgNy2vP3ANd
 XIwO0stJikUolZRSaTjxhCTkLGcDhQicAqxdply0Mnq+D75UOlU21g7BA1y8
 HC5dMQ6QMOiF0zajqhnQQciwkEmgWFSKxUC5DFMTYAq9GbRCVRfo+n5Oo6ly
 8wWnhspSiUFS1ve8yBB83249tRdeBTHrTAwsqoxfPFgfHB4YEAAyEWmLkTYO
 cgPFEgNvVqtQrvQSsSrzSDH96DM5AdduhHJZx9LhNB2Cn+35UfvjjbCoPHbK
 IawFWFodDVIxtE4PJTUY4kZVsxBCG2iRxGneFobgazVYvpAomSLpaOi86QKY
 mhgHP+p5a+f2fN8KFt6+edZJpQJRYqN2qAFhOKrHeqCjqi2ggQNSmGGYy1er
 yoUrGStISKOsXr9ZB5KZPWCfDXzf/vxisHPc86oN4+0d+8aae0cJdFV1xrTM
 b/v5/HQ2jOmTk3DJah0DTwpXrVfOWjyMNqej+bnszAm46ZzxcwJcv3783N2P
 jTW/MyBgjOmIyAxN9mFpa6rsayuV6nBSatsR8D0ib744en60ipodKk/Xbr1k
 vK3A3hPDdh7gnt2D5jTw4wEBEWmralNUGpLJr/vLHwc72ssohfsPMfC8Jsra
 JXD1+gg+TcerqOcCvG9Xr4ZzF42f+8efDI+/u2csubtbt2kYEPDet0WkKSIN
 qcuv+gP0+wegNgEUlB8e6hXjPYm97ZIh+P7s+od4ftRm98KXHobjrdgbt20f
 u3TXaMOISEtVG8aYupt2DwuyVwtRRr98Cn54CDpmOJlVy/CGTePg+wRGbdcR
 eO1X47bryLMTeNOFMFEYtls5fP7n8OVH4BeHB6d36Da9d/Q5572fUdWGqgZV
 9faA/XI4P3wAB//6GNDXfq+Ket1FylRl3POjXt91BD72ANy1axj27toVY/5t
 V5wqlb5VU3jzhfAPI9L5p5+OJXBgeO/s5+zU1NQCVV3Y7XY7QDscC/v9Gn8m
 Vc6oq1LvZaIkgFXuvBmWTozLpg/8L74L774HHpkeT8SUeO5zO+HRo5HE7FkW
 YPVUBN23E+0x7X9TP6KnFvUi0jbG1FW1rqp1EanbPfbv1Wl9ALyXJ118Jmxc
 Oh5tdh2B130Nzv9s7O6gs39iaEHjPed/Nj4zW1rnLDwl7x9wwfKXc10wqtoR
 kYa1tmGMqVtr626P222mzXtwhD54LHQU6Enm0WOnD/x0iXiNNfHs24HX6If1
 13O9S1atWrVURNafOHEieO9z7307y7K2MabVvaX74VAOfzaoX02c4ueX4b4n
 nhl0f2b1Ond7thmBK54Xwf/X/lMuf0i36V/P/STIxo0b57fb7dUnTx7zeS4+
 z/NOnudta2270Wh0+BA/xbCOfpT5PWFySQXe/6KYHhTdMJ9fVIngPrcT/uZH
 8GTzmd8xyx7XbXr277vB5XmeGWNmVJ0PIcuTJOmqaqfRaHSBjCNcxjJ2A/Oe

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake-qt4 -recursive monavclient.pro
	sed -i -e "s#(INSTALL_ROOT)/#(DESTDIR)/#g" client/Makefile
	qmake-qt4 -recursive -o Makefile.routingdaemon monavroutingdaemon.pro
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) -f Makefile.routingdaemon
	#docbook-to-man debian/monav.sgml > monav.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) -f Makefile.routingdaemon clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -p$@

	# Add here commands to install the package into debian/monav.
	$(MAKE) DESTDIR=$(CURDIR)/debian/monav install
	$(MAKE) DESTDIR=$(CURDIR)/debian/monav -f Makefile.routingdaemon install

	mkdir -p $(CURDIR)/debian/monav/usr/share/applications/hildon/
	cp $(CURDIR)/debian/monav.desktop $(CURDIR)/debian/monav/usr/share/applications/hildon/
	mkdir -p $(CURDIR)/debian/monav/usr/share/pixmaps/
	cp $(CURDIR)/images/source.png $(CURDIR)/debian/monav/usr/share/pixmaps/monav.png

	mkdir -p $(CURDIR)/debian/monav-routing-daemon/opt/usr/bin
	cp $(CURDIR)/bin/monav-daemon $(CURDIR)/debian/monav-routing-daemon/opt/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
monav: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_perl
#	dh_makeshlibs
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

monav-routing-daemon: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_perl
#	dh_makeshlibs
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@
binary-arch: monav monav-routing-daemon
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
